Bug 518979 - setroubleshoot: SELinux is preventing udev-acl.ck (consolekit_t) "getattr" udev_tbl_t.
Summary: setroubleshoot: SELinux is preventing udev-acl.ck (consolekit_t) "getatt...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b22384a6577...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 13:03 UTC by mohammad Saed
Modified: 2009-09-04 14:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 14:43:51 UTC


Attachments (Terms of Use)

Description mohammad Saed 2009-08-24 13:03:59 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing udev-acl.ck (consolekit_t) "getattr" udev_tbl_t.

Detailed Description:

SELinux denied access requested by udev-acl.ck. It is not expected that this
access is required by udev-acl.ck and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:udev_tbl_t:s0
Target Objects                /dev/.udev/db/\x2fdevices\x2fvirtual\x2fblock\x2fl
                              oop6 [ file ]
Source                        udev-acl.ck
Source Path                   /lib/udev/udev-acl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           udev-145-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.28-4.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.29.6-217.2.8.fc11.x86_64 #1 SMP Sat Aug 15
                              01:06:26 EDT 2009 x86_64 x86_64
Alert Count                   7
First Seen                    Sun 23 Aug 2009 10:39:45 PM EDT
Last Seen                     Sun 23 Aug 2009 10:49:47 PM EDT
Local ID                      5ad37fb4-2378-4071-b161-ae5d34fc1223
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251082187.917:677): avc:  denied  { getattr } for  pid=28597 comm="udev-acl.ck" path="/dev/.udev/db/\x2fdevices\x2fvirtual\x2fblock\x2floop6" dev=tmpfs ino=3765 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:udev_tbl_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1251082187.917:677): arch=c000003e syscall=6 success=no exit=211271640 a0=7fff563bd1c0 a1=7fff563bbd20 a2=7fff563bbd20 a3=5 items=0 ppid=1227 pid=28597 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="udev-acl.ck" exe="/lib/udev/udev-acl" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= consolekit_t ==============
allow consolekit_t udev_tbl_t:file getattr;

Comment 1 Daniel Walsh 2009-08-24 13:17:04 UTC
What is udev-acl labeled as?

# ls -lZ /lib/udev/udev-acl 
-rwxr-xr-x. root root system_u:object_r:udev_exec_t:s0 /lib/udev/udev-acl


Note You need to log in before you can comment on or make changes to this bug.